/* uniapp-swiper混入对象 */
export default {
    props: {
        indicatorDots: {
            type: Boolean,
            default: false
        },
        indicatorColor: {
            type: String,
            default: 'rgba(0, 0, 0, .3)'
        },
        indicatorActiveColor: {
            type: String,
            default: '#000000'
        },
        autoplay: {
            type: Boolean,
            default: true
        },
        current: {
            type: Number,
            default: 0
        },
        interval: {
            type: Number,
            default: 5000
        },
        duration: {
            type: Number,
            default: 500
        },
        circular: {
            type: Boolean,
            default: false
        },
        vertical: {
            type: Boolean,
            default: false
        },
        previousMargin: {
            type: String,
            default: '0px'
        },
        nextMargin: {
            type: String,
            default: '0px'
        },
        skipHiddenItemLayout: {
            type: Boolean,
            default: false
        },
        easingFunction: {
            type: String,
            default: 'default',
            validator: value => ['default', 'linear', 'easeInCubic', 'easeOutCubic', 'easeInOutCubic'].indexOf(value
                .toString()) > -1
        }
    },
    methods:{
        onChange(event) {
            this.$emit('change', event.detail)
        },
        onTransition(event) {
            this.$emit('transition', event.detail)
        },
        onAnimationfinish(event) {
            this.$emit('animationfinish', event.detail)
        }
    }
}
